summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-rpg/nwn/files
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-rpg/nwn/files')
-rwxr-xr-xgames-rpg/nwn/files/fixinstall107
1 files changed, 107 insertions, 0 deletions
diff --git a/games-rpg/nwn/files/fixinstall b/games-rpg/nwn/files/fixinstall
new file mode 100755
index 000000000000..c324b61bf89e
--- /dev/null
+++ b/games-rpg/nwn/files/fixinstall
@@ -0,0 +1,107 @@
+#!/bin/bash
+# Initial version by Bioware
+# Modified to match the gentoo setup
+# 03/27/2003 phoen][x <phoenix@gentoo.org>
+
+cd GENTOO_DIR/nwn || exit 1
+
+aRequiredDirs=(ambient data music override miles nwm)
+aRequiredFiles=(chitin.key dialog.tlk nwmain)
+aLCDirs=(ambient data dmvault hak localvault music override portraits)
+aProblemFiles=()
+aWritables=(nwn.ini nwnplayer.ini nwncdkey.ini saves localvault tempclient currentgame dmvault)
+
+printf "Checking for required files\n\n"
+
+for d in ${aRequiredDirs[@]} ; do
+ if [[ -d $d ]] ; then
+ printf "PASSED: $d directory exists\n"
+ else
+ printf "FAILED: $d directory missing\n"
+ exit 1
+ fi
+done
+
+for f in ${aRequiredFiles[@]} ; do
+ if [[ -f $f ]] ; then
+ printf "PASSED: $f exists\n"
+ else
+ printf "FAILED: $f missing\n"
+ exit 1
+ fi
+done
+
+printf "\nFixing case\n\n"
+
+if [[ -f dialog.TLK ]] ; then
+ mv dialog.TLK dialog.tlk
+fi
+
+if [[ -f dialogF.TLK ]] ; then
+ mv dialogF.TLK dialogf.tlk
+fi
+
+for d in ${aLCDirs[@]} ; do
+ if [[ -d $d ]] ; then
+ printf "$d\n"
+ cd $d
+
+ for f in $(find . -name '*.*') ; do
+ lcf=$(echo $f | tr [:upper:] [:lower:])
+ if [[ $f != $lcf ]] && [[ -f $f ]] ; then
+ mv $f $(echo $f | tr [:upper:] [:lower:])
+ fi
+ printf .
+ done
+
+ cd ..
+ printf "\n"
+ fi
+done
+
+defIFS=$IFS
+IFS='|'
+
+if [[ -d saves ]] ; then
+ cd saves
+ for d in $(find . -name '* - *' -type d -printf "%f|") ; do
+ printf "saves/$d\n"
+ cd "$d"
+
+ [[ -f Portrait.tga ]] && mv Portrait.tga portrait.tga
+ [[ -f Screen.tga ]] && mv Screen.tga screen.tga
+
+ cd ..
+ done
+ cd ..
+fi
+
+IFS=$defIFS
+
+printf "\nChecking for problem files\n\n"
+
+for f in ${aProblemFiles[@]} ; do
+ if [[ -e $f ]] ; then
+ printf "WARNING: $f exists, deleting this file is recommended\n"
+ fi
+done
+
+printf "\nFixing permissions\n\n"
+
+chown GENTOO_USER:GENTOO_GROUP GENTOO_DIR/nwn/ -R
+chmod g+rwX GENTOO_DIR/nwn/ -R
+
+# 1.65-specific fixes to permissions
+[ -e GENTOO_DIR/nwn/data/patch.bif ] && \
+ chmod a-x GENTOO_DIR/nwn/data/patch.bif 2>&1 > /dev/null
+chmod a-x GENTOO_DIR/nwn/nwm/Chapter1.nwm 2>&1 > /dev/null
+chmod a-x GENTOO_DIR/nwn/nwm/Chapter1E.nwm 2>&1 > /dev/null
+chmod a-x GENTOO_DIR/nwn/nwm/Chapter2.nwm 2>&1 > /dev/null
+chmod a-x GENTOO_DIR/nwn/nwm/Chapter2E.nwm 2>&1 > /dev/null
+chmod a-x GENTOO_DIR/nwn/nwm/Chapter3.nwm 2>&1 > /dev/null
+chmod a-x GENTOO_DIR/nwn/nwm/Chapter4.nwm 2>&1 > /dev/null
+chmod a-x GENTOO_DIR/nwn/nwm/Prelude.nwm 2>&1 > /dev/null
+[ -e GENTOO_DIR/nwn/patch.key ] && \
+ chmod a-x GENTOO_DIR/nwn/patch.key 2>&1 > /dev/null
+
+printf "\nYou are ready to run Neverwinter Nights.\n\n"